﻿@model  PROJETMODELE.Models.VML.TP.InventaireVM
@using PROJETMODELE.Models.DAL;
@{
    Layout = null;
    StoreEntities db = new StoreEntities();
    PROJETMODELE.Tools.Services service = new PROJETMODELE.Tools.Services();
    var societe = db.TG_Variable.Find(1);
    int i = 0;
    string chemin = Server.MapPath("/Content/");
    string carreau_barre = System.IO.Path.Combine(chemin, "carreau-barre.png");
    string carreau = System.IO.Path.Combine(chemin, "carreau.png");
}

<html lang="fr">
<head>
    <meta charset="UTF-8">
    <style>
        .entete {
            text-align: center;
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        .header-fiche table {
            margin-bottom: 0px;
        }

        .header-fiche h3, .header-fiche h4 {
            margin: 0;
        }

        .fiche td {
            border-right: 1px solid;
            border-left: 1px solid;
            border-top: 1px solid;
            border-bottom: 1px solid;
        }

        .fiche thead td {
            border: 1px solid;
            text-align: center;
            font-weight: bold;
        }

        .fiche tbody tr td:first-child {
            text-align: center;
        }

        .fiche tbody tr:last-child td {
            border-bottom: 1px solid;
        }

        .fiche tfoot td {
            border: none;
        }

        div.footer {
            position: fixed;
            bottom: 0;
            top: auto;
            width: 100%;
            text-align: right;
            color: red;
        }
    </style>

</head>
<body>
    <table></table>
    <div class="pv-ue">
        <div class="header-fiche">
        <table>
            <tr>
                <td class="gras">
                    <h3>@societe.Nom_Societe</h3>
                    <h4></h4>
                </td>
            </tr>
            <tr>
                <td>@societe.Description</td>
            </tr>
            <tr>
                <td>@societe.Adresse </td>
                <td> </td>
                <td><b>@societe.Ville le,</b> @DateTime.Now.ToString("dd/MM/yyyy - HH:mm:ss")</td>
            </tr>
            <tr>
                <td><b>Tel.</b> @societe.Telephone</td>
            </tr>
        </table>
        </div>
        <table class="entete">
            <tbody>
                <tr>
                    <td><h4><u>Inventaire du @Model.Date_Creation.ToLongDateString()</u></h4></td>
                </tr>
                <tr></tr>
            </tbody>
        </table>
        <table>
            <tbody>
                <tr >    
                    <td><b>Inventaire N&deg;: </b> @Model.NUM_DOC</td>             
                </tr>
                <tr>
                    <td><b>Date : </b>@Model.Date_Creation.ToString("dd/MM/yyyy HH:mm:ss")</td>              
                </tr>
                <tr>
                    <td><b>Status : </b>@Model.Statut</td>                 
                </tr>
                <tr>
                    <td><b>Enregistrer Par : </b>@Model.Utilisateur</td>                 
                </tr>
            </tbody>
        </table>
        <br />
        <table  class="fiche">
        <tr style="font-weight: bold;">
            <th align="center">Famille</th>
            <th align="center">Produit</th>
            <th align="center">Qté Casier Théorique</th>
            <th align="center">Qté Bouteille Théorique</th>
            <th align="center">Qté Casier Réel</th>            
            <th align="center">Qté Bouteille Réel</th>
        </tr>
        @{                     
            foreach (var produit in Model.Liste_Produit)
            {
            <tr>
                <td align="left" width="13%">@produit.Famille</td>
                <td align="left" width="35%">@produit.Produit</td>
                <td align="center" width="13%">@service.SeparateurMillier(produit.Qte_Casier_Theorique)</td>
                <td align="center" width="13%">@service.SeparateurMillier(produit.Qte_Bouteille_Theorique)</td>
                @if(produit.Qte_Casier_Reel != 0)
                {
                    <td align="center" width="13%">@service.SeparateurMillier((produit.Qte_Casier_Reel))</td>                 
                }
                else
                {
                     <td align="center" width="13%"></td>
                }
                @if(produit.Qte_Bouteille_Reel != 0)
                {                 
                    <td align="center" width="13%">@service.SeparateurMillier(produit.Qte_Bouteille_Reel)</td>
                }
                else
                {
                     <td align="center" width="13%"></td>
                }
            </tr>                             
            }
        }
        
    </table>
    <br />
    <table>
        <tr>
            <td align="right">Le(La) Responsable</td>
        </tr>
    </table>
    </div>   
  </body>
</html>
